Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002586Zandronum[All Projects] Bugpublic2016-01-21 21:592017-05-04 13:45
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002586: DeHackEd patches are not loaded when you join server with File|Join server
DescriptionDeHackEd patches are not loaded when you join server with File|Join server
Steps To Reproduce1. Take example WAD, extract it.
2. Host server with -file teledest.wad -deh teledest.deh
2a. Optionally refresh the server with Doomseeker 1.1 beta. Doomseeker will show that .deh file is loaded and will load the .deh file when joining the server.
3. Now try to join the server by using "File|Join server" action in server's window.
4. .deh file will not load on the client.
Additional InformationExample WAD:https://www.doomworld.com/idgames/levels/doom2/s-u/teledest [^]
Zandronum build: 3.0-alpha-r151228-1140
Attached Files

- Relationships

-  Notes
User avatar (0016237)
Torr Samaho (administrator)
2016-11-21 07:09

Is this any different in 2.1.2?
User avatar (0016241)
Edward-san (developer)
2016-11-21 09:45

It should happen in 2.1.2, because of this code here.

Since 2.1 we support the server broadcast of deh and bex files, but I guess we forgot to handle the server window.
User avatar (0016527)
Zalewa (developer)
2016-12-18 17:22

Pull request:
https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/179/fixed-file-join-from-server-console/ [^]
User avatar (0016528)
Torr Samaho (administrator)
2016-12-18 18:59

Pulled.
User avatar (0017183)
Combinebobnt (reporter)
2017-04-18 00:17

r170416-0710

I had the opposite occur. I loaded a 3.0 coop server with that wad and dehacked file. When I joined with 'File|Join Server', the dehacked loaded correctly on the client. When I joined through doom explorer, no dehacked patch was loaded. There's a romero head that only pops up with the .deh loaded, but when the client didn't load the patch, I could still shoot an invisible actor that bled (the romero head on the server)
User avatar (0017543)
Zalewa (developer)
2017-05-03 18:11

Quote
When I joined with 'File|Join Server', the dehacked loaded correctly on the client.


I think we can mark this as resolved. Thanks for testing. Doom Explorer needs to be fixed by Bond, however release 1.18 suggests that the problem is already fixed.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Korshun djskaarj Monsterovich JC Tenton MaxRideWizardLord
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-01-21 21:59 Zalewa New Issue
2016-01-21 21:59 Zalewa Summary DeHackEd patches are not loaded when you join server with File|Join => DeHackEd patches are not loaded when you join server with File|Join server
2016-01-21 21:59 Zalewa Description Updated View Revisions
2016-01-21 21:59 Zalewa Steps to Reproduce Updated View Revisions
2016-11-20 21:38 Edward-san Product Version 3.0 => 3.0-beta
2016-11-21 07:09 Torr Samaho Note Added: 0016237
2016-11-21 07:09 Torr Samaho Assigned To => Torr Samaho
2016-11-21 07:09 Torr Samaho Status new => feedback
2016-11-21 07:09 Torr Samaho Assigned To Torr Samaho =>
2016-11-21 09:45 Edward-san Note Added: 0016241
2016-11-21 09:45 Edward-san Product Version 3.0-beta => 2.1
2016-12-18 17:22 Zalewa Note Added: 0016527
2016-12-18 17:22 Zalewa Status feedback => new
2016-12-18 17:22 Zalewa Assigned To => Zalewa
2016-12-18 17:22 Zalewa Status new => needs review
2016-12-18 18:59 Torr Samaho Note Added: 0016528
2016-12-18 18:59 Torr Samaho Status needs review => needs testing
2016-12-18 19:00 Torr Samaho Target Version => 3.0
2017-04-18 00:17 Combinebobnt Note Added: 0017183
2017-05-03 18:11 Zalewa Note Added: 0017543
2017-05-04 13:45 Ru5tK1ng Status needs testing => resolved
2017-05-04 13:45 Ru5tK1ng Resolution open => fixed
2017-05-04 13:45 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker